org.apache.tamaya.integration.osgi

## Class OSGIEnhancedConfiguration

- java.lang.Object
- - org.apache.tamaya.spisupport.DefaultConfiguration
  - - org.apache.tamaya.integration.osgi.OSGIEnhancedConfiguration

- All Implemented Interfaces:
    org.apache.tamaya.Configuration

      public class OSGIEnhancedConfiguration
      extends org.apache.tamaya.spisupport.DefaultConfiguration

  Configuration object that also reflects the values provided by the OSGI ConfigAdmin Configuration. Similar to other tamaya areas adding a tamaya.ordinal into the corresponding OSGI configuration for a pif/factoryPid allows to control the ordinal/priority of the OSGI configuration related to other configured Tamaya Property Sources. Overall the configuration evaluation for Tamaya follows the same rules, with the difference that each bunldle owns its own ConfigAdmin based part. From Tamaya, the granularity depends on the implementation of the ConfigurationProviderSpi. By default Tamaya configuration is managed as a global resource/config tree, wheres bundle specific sections are selected only.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSGIEnhancedConfiguration(org.osgi.service.cm.Configuration osgiConfiguration)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tamaya.spisupport.DefaultConfiguration

      `convertValue, evaluateUnfilteredMap, evaluteRawValue, get, get, get, getContext, getOrDefault, getOrDefault, getOrDefault, getProperties, query, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGIEnhancedConfiguration

          public OSGIEnhancedConfiguration(org.osgi.service.cm.Configuration osgiConfiguration)

      Constructor.
      Parameters:
        `osgiConfiguration` - The OSGI configuration found.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.